<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myGoodLabel" jhiTranslate="mpmApp.good.home.createOrEditLabel">Create or edit a Good</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="good.idProduct"/>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.good.uom" for="field_uom">Uom</label>
            <select class="form-control" id="field_uom" name="uom" [(ngModel)]="good.uomId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.good.feature" for="field_feature">Feature</label>
            <select class="form-control" id="field_feature" multiple name="feature" [(ngModel)]="good.features">
                <option [ngValue]="getSelected(good.features, featureOption)" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.good.category" for="field_category">Category</label>
            <select class="form-control" id="field_category" multiple name="category" [(ngModel)]="good.categories">
                <option [ngValue]="getSelected(good.categories, productCategoryOption)" *ngFor="let productCategoryOption of productcategories; trackBy: trackProductCategoryById">{{productCategoryOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
